Subject: Re: linux-next: circumvention and ignorance (was: Re: linux-next: Tree for July 22)

From: Randy Dunlap <[email-masked]>
Date: Tue, 22 Jul 2008 20:10:05 -0700

On Wed, 23 Jul 2008 01:49:30 +0200 (CEST) Geert Uytterhoeven wrote:

> 	Hi all,
> 
> Looking at today's http://kisskb.ellerman.id.au/kisskb/matrix/, there's
> plenty of red, and not only in the linux-next division :-(
> 
> On Tue, 22 Jul 2008, Stephen Rothwell wrote:
> > We are up to 105 trees (counting Linus' and 14 trees of patches pending for
> > Linus' tree), more are welcome (even if they are currently empty).
> > Thanks to those who have contributed, and to those who haven't, please do.
> 
> We still see regular merging of trivially breaking patches that
> apparently never have been in linux-next...
> 
> > The ttydev tree was partially merged upstream and gained so many
> > conflicts that I have temporarily dropped it.
> 
> Worse, we're seeing things getting merged that have been known-broken in
> several linux-next incarnations during the last few weeks...
> 
> Now we have such a great thing like linux-next (thanks, Stephen! You
> saved my day a lot lately), perhaps we should start making full use of
> it?

E.g., we don't seem to have a good method of moving build fixes into their
appropriate tree/patchset.  Or maybe it's just that we can't get them
noticed by the appropriate people.

---
~Randy
Linux Plumbers Conference, 17-19 September 2008, Portland, Oregon USA
http://linuxplumbersconf.org/